var pestanya=0;
var segundaPestanya=false;
jQuery(function($){
	$("form input[id=FRegSal014Req]").attr("disabled", "disabled");
	$("form input[id=NRegSal014Req]").attr("disabled", "disabled");
	$("form input[id=FNotif014Req]").attr("disabled", "disabled");
	
$("#tabsDetExpRequerimiento").rup_tabs({
		tabs : [
			{i18nCaption:"requerimiento", layer:".resExp2"},
			{i18nCaption:"comunicaciones", layer:".comExp"}],

			select:function(event,ui){return validarParaCambioPestana(event,ui);}
	});

$("#FRegSal014Req").rup_date({datetimepicker: true});

//bloqueaSelectorDocumento();
var hayDoc = contarDocs ();
//Botonera guardar datos expediente
if(hayDoc==true){
	$("#gestionarDocsReq_toolbar").rup_toolbar({
		buttons:
			[{id:"BorrarDocumento", i18nCaption:$.rup.i18n.app.botones.BorrarDoc, left:true, click:fn_borrar_Req},
			 {id:"EditarDocumento", i18nCaption:$.rup.i18n.app.botones.EditarDoc, left:true, click:fncDescargaDocumentoPifReq},
			 {id:"FirmarDocumento", i18nCaption:$.rup.i18n.app.botones.FirmarDoc, left:true}]
	});
}else{
	$("#gestionarDocsReq_toolbar").rup_toolbar({
		buttons:
			[{id:"GenerarDocumento", i18nCaption:$.rup.i18n.app.botones.GenerarDoc, left:true, click:fn_generar_Req},
			 {id:"DeshacerRequerimiento", i18nCaption:$.rup.i18n.app.botones.DeshacerRequerimiento, left:true, click:fn_deshacer_Req}]
	});
}
	
function contarDocs (){
	var docs = pk_numDocPIF;
	if(docs!=pk_numDocPIF != undefined && pk_numDocPIF != null && pk_numDocPIF != ''){
		return true;
	}
	return false;
}
 function fn_generar_Req (){
	 var tipoDocumento= "Requerimiento";
	 var idExpediente = $("#idProv010").val()+"/"+$("#idAno010").val()+"/"+$("#id010").val();
	 var idFase=$("#id001Fase").val();
	 var id014=$("#id014").val();
	 var idTramite=$("#id002Tramite").val();
	 if($("#doc_2").prop('checked')){
		 $.rup_ajax({
				url: $.rup.CTX_PATH + "documento/generarDocumento",
				dataType: 'json',
				data:{
					"idExpediente" : idExpediente,
					"observacionesEs" : $("#observacionesEsReq").val(),
					"observacionesEu" : $("#observacionesEuReq").val(),
					"FRegSal014" : $("#FRegSal014Req").rup_date("getDate"),
					"NRegSal014" : $("#NRegSal014Req").val(),
					"idFase":idFase,"id014":id014,
					"tipoDocumento": tipoDocumento
				},
				type:"GET",
				contentType: 'application/json',
				success: function(mapaRespuesta){
					fncDescargaDocumentoPifReq();
					location.href = "../../"+ idExpediente + "?idFase="+idFase+"&idTramite="+idTramite+"&id014="+id014+"&accionOK=true";
				},
				error: function(error){
					ab03bUtils.feedback.pintarFeedbackError(error.responseText, $("#feedbackMensajes"));
					$("#FRegSal014Req").rup_date("setDate", null);
					$("#NRegSal014Req").val("");
				},
				beforeSend : function() {
					ab03bUtils.util.bloquearInterfaz();
				},
				complete: function() {
					ab03bUtils.util.desBloquearInterfaz();
				}
			});
	 }else{
		 $.rup_messages("msgAlert", {
				message: $.rup.i18n.app.mensajes.errorCheck
			});
	 }
	
	
		
	};
	
	function fn_deshacer_Req(){
		var idExpediente = $("#idProv010").val()+"/"+$("#idAno010").val()+"/"+$("#id010").val();
		var id014=$("#id014").val();
		$.rup_messages("msgConfirm", {
			message: $.rup.i18n.app.mensajes.confirmDeshacerResolucion,
			title: "",
			OKFunction: function () {
				$.rup_ajax({
					url : $.rup.CTX_PATH + "expedientes/detalle/tramitacion/eliminarTramite",
					dataType: 'json',
					data: {"idExpediente": idExpediente, "id014":id014},
			    	type: "GET",
			    	contentType: 'application/json',
					success: function (mapaRespuesta){
						location.href = $.rup.CTX_PATH + "ab03b10t00/irDetalle/" + idExpediente;
					},
					error: function(error){
						ab03bUtils.feedback.pintarFeedbackError(error.responseText, $("#tramitacion_feedback"));
					},
					beforeSend : function() {
						ab03bUtils.util.bloquearInterfaz();
					},
					complete: function() {
						ab03bUtils.util.desBloquearInterfaz();
					}
				});
			}
		});
	};
	function fn_borrar_Req(){
		var idExpediente = $("#idProv010").val()+"/"+$("#idAno010").val()+"/"+$("#id010").val();
		var idFase=$("#id001Fase").val();
		var idTramite=$("#id002Tramite").val();
		var id014=$("#id014").val();
		$.rup_messages("msgConfirm", {
			message: $.rup.i18n.app.mensajes.confirmDeshacerResolucion,
			title: "",
			OKFunction: function () {
				$.rup_ajax({
					url : $.rup.CTX_PATH + "expedientes/detalle/tramitacion/eliminarDoc",
					dataType: 'json',
					data: {"idExpediente": idExpediente, "id014":id014},
			    	type: "GET",
			    	contentType: 'application/json',
					success: function (mapaRespuesta){
						location.href = "../../" + idExpediente+ "?idFase="+idFase+"&idTramite="+idTramite+"&id014="+id014;
					},
					error: function(error){
						ab03bUtils.feedback.pintarFeedbackError(error.responseText, $("#tramitacion_feedback"));
					},
					beforeSend : function() {
						ab03bUtils.util.bloquearInterfaz();
					},
					complete: function() {
						ab03bUtils.util.desBloquearInterfaz();
					}
				});
			}
		});
	};
});	
	function validarParaCambioPestana(event,tab){
		//console.log("Estamos en el cambio de pestaña");
		//estamos en
		$tabs = $('#tabsDetExpResolucion').tabs();
		selected = $tabs.tabs('option', 'selected');//en la que estamos
		//vamos a 
		vamos=tab.index;
		if(vamos!=pestanya){
			//$("#formHttpSubmit").valid();
			if($("#feedbackMensajes").html()!=''){
				pestanya=selected;
				//volvemos a la pestaï¿½a de la que venimos
				setTimeout(function(){
					$("#tabsDetExpResolucion").tabs("select",selected);
				},100);
				
			}else{
				pestanya=vamos;
				if(vamos==1){
					//es que ha entrado en la segunda pestaï¿½a
					segundaPestanya=true;
				}
			}
		}
	}
//	function bloqueaSelectorDocumento() {
//	var varDisabled = null;
//	if (hayDocumento) {
//		varDisabled = "disabled";
//	}
//	$("form textarea[id=observaciones]").attr("disabled", varDisabled);
//}
	
	function fncDescargaDocumentoPifReq(){
		var id015= pk_id015;
		var rutaPif="ab03b";
		
		 $.rup_ajax({
				url: $.rup.CTX_PATH + "documento/editarPif",
				dataType: 'json',
				data:{
					"idExpediente" : idExpediente,
					"id015" : id015,
					"rutaPif":rutaPif
				},
			cache:false,
			type:"GET",
			contentType: 'application/json',
			success: function(xhr, ajaxOoptions){
				fncEditarPifSuccess(xhr.rutaCompleta); 
			},
			error: function(error){
				ab03bUtils.feedback.pintarFeedbackError(error.responseText, $("#feedbackMensajes"));
			},
			beforeSend : function() {
				ab03bUtils.util.bloquearInterfaz();
			},
			complete: function() {
				ab03bUtils.util.desBloquearInterfaz();
			}
			});
	}
	function fncEditarPifSuccess(rutaPifCopia){
		
		var v = window.open(rutaPifCopia);
		if (v!=null)
		{
		v.close();	
		}
		
	}